--- title: Retrieve the organization ID slug: '148' canonical_url: https://docs.coveo.com/en/148/ collection: manage-an-organization source_format: adoc --- # Retrieve the organization ID Most [Coveo Platform](https://docs.coveo.com/en/186/) REST API operations require that you specify a value for the `organizationId` parameter. As its name implies, this parameter expects the unique and permanent ID of an existing [Coveo organization](https://docs.coveo.com/en/185/) as an argument. Whenever a new Coveo organization is created, its ID is automatically generated from its lowercase original `name` value, stripped of any special characters and white spaces. A random alphanumeric sequence is also typically appended to the resulting string. For example, if your Coveo organization was originally created with **My Coveo Organization** as a display name, and the random alphanumeric sequence that was generated for this organization is `8tp8wu3`, then its resulting ID is: `mycoveoorganization8tp8wu3`. > **Note** > > Coveo administrators can change the display name of a Coveo organization whenever they want. > However, the ID value of a Coveo organization is permanent. > This implies that the ID of a Coveo organization can significantly differ from its current display name. Use the [Get all organizations](https://platform.cloud.coveo.com/docs?urls.primaryName=Platform#/Organizations/rest_organizations_get) operation to find the unique and permanent ID of a Coveo organization. You can also [find it in the Coveo Administration Console](https://docs.coveo.com/en/n1ce5273/). > **Note** > > You can also get this information from the **Settings** page of the [Coveo Administration Console](https://docs.coveo.com/en/183/), under **Organization** > [**Details**](https://platform.cloud.coveo.com/admin/#/orgid/settings/organization/details) ([platform-ca](https://platform-ca.cloud.coveo.com/admin/#/orgid/settings/organization/details) | [platform-eu](https://platform-eu.cloud.coveo.com/admin/#/orgid/settings/organization/details) | [platform-au](https://platform-au.cloud.coveo.com/admin/#/orgid/settings/organization/details)). **Request template** ```http GET https://platform.cloud.coveo.com/rest/organizations HTTP/1.1 Accept: application/json Authorization: Bearer ``` In the `Authorization` HTTP header: * Replace `` with an access token that grants the [privilege](https://docs.coveo.com/en/228/) to view the target Coveo organization (that is, the **View** [access level](https://docs.coveo.com/en/2818/) level on the **Organization** [domain](https://docs.coveo.com/en/2819/)) (see [Create an API key](https://docs.coveo.com/en/1718#create-an-api-key), [Manage privileges](https://docs.coveo.com/en/3151/), [Get the privileges of an access token](https://docs.coveo.com/en/109/), and [Get your Coveo access token](https://docs.coveo.com/en/123/)). The body of a successful response (`200 OK`) is an array in which each element contains information about a Coveo organization your access token allows you to view. The `id` property of each element is the unique and permanent ID of the corresponding Coveo organization. > **Note** > > If you authenticate this call using a Coveo OAuth2 token whose corresponding identity has the privilege to view more than one Coveo organization (that is, the **View** access level on the **Organization** domain), the body of a successful response contains information about each of those organizations. > > Otherwise, if you authenticate this call using a valid API key, the body of a successful response only contains information about the Coveo organization this API key was created in. ## Sample request **Request - Getting information about the Coveo organizations an access token is allowed to see** ```http GET https://platform.cloud.coveo.com/rest/organizations HTTP/1.1 Accept: application/json Authorization: Bearer **********-****-****-****-************ ``` **Successful response - 200 OK** ```json [ { "createdDate": 1460705726000, "displayName": "My Coveo Organization", "emailNotificationsEnabled": false, "id": "mycoveoorganizationg8tp8wu3", "owner": { "email": "asmith@example.com" }, "readOnly": false } ] ```